summaryrefslogtreecommitdiffstats
path: root/source/installer/sources/initrd/etc/dhcpc/dhcpcd.exe-sample
diff options
context:
space:
mode:
Diffstat (limited to 'source/installer/sources/initrd/etc/dhcpc/dhcpcd.exe-sample')
-rwxr-xr-xsource/installer/sources/initrd/etc/dhcpc/dhcpcd.exe-sample49
1 files changed, 49 insertions, 0 deletions
diff --git a/source/installer/sources/initrd/etc/dhcpc/dhcpcd.exe-sample b/source/installer/sources/initrd/etc/dhcpc/dhcpcd.exe-sample
new file mode 100755
index 000000000..f49cffdd0
--- /dev/null
+++ b/source/installer/sources/initrd/etc/dhcpc/dhcpcd.exe-sample
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# This is a sample /etc/dhcpc/dhcpcd.exe script.
+# /etc/dhcpc/dhcpcd.exe script is executed by dhcpcd daemon
+# any time it configures or shuts down interface.
+# The following parameters are passed to dhcpcd.exe script:
+# $1 = HostInfoFilePath, e.g "/etc/dhcpc/dhcpcd-eth0.info"
+# $2 = "up" if interface has been configured with the same
+# IP address as before reboot;
+# $2 = "down" if interface has been shut down;
+# $2 = "new" if interface has been configured with new IP address;
+# $3 (optional) = "-d" debug flag passed if dhcpcd daemon has been
+# invoked with "-d" flag
+#
+# Sanity checks
+
+if [ $# -lt 2 ]; then
+ logger -s -p local0.err -t dhcpcd.exe "wrong usage"
+ exit 1
+fi
+
+hostinfo="$1"
+state="$2"
+debug="$3"
+
+# Reading HostInfo file for configuration parameters
+. "${hostinfo}"
+
+case "${state}" in
+ up)
+ logger -s -p local0.info -t dhcpcd.exe \
+ "interface ${INTERFACE} has been configured with old IP=${IPADDR}"
+ # Put your code here for when the interface has been brought up with an
+ # old IP address here
+ ;;
+
+ new)
+ logger -s -p local0.info -t dhcpcd.exe \
+ "interface ${INTERFACE} has been configured with new IP=${IPADDR}"
+ # Put your code here for when the interface has been brought up with a
+ # new IP address
+ ;;
+
+ down) logger -s -p local0.info -t dhcpcd.exe \
+ "interface ${INTERFACE} has been brought down"
+ # Put your code here for the when the interface has been shut down
+ ;;
+esac
+exit 0